Subject: Re: bug#74894: 29.4; Emacs not responding when calling python-fix-imports

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Dec 2024 18:12:15 +0200

> Date: Sun, 22 Dec 2024 00:16:53 +0900
> From: kobarity <[email-masked]>
> Cc: Keglo Stephane <[email-masked]>,
> 	[email-masked]
> 
> Eli Zaretskii wrote:
> > 
> > > Date: Sun, 15 Dec 2024 02:52:53 +0000
> > > From: Keglo Stephane <[email-masked]>
> > > 
> > > when writting a python code with a missing import, using
> > > `python-fix-imports' make emacs not responding.
> > 
> > Thanks.  Could you please show a simple recipe for reproducing this?
> > 
> > kobarity, any comments or suggestions?
> 
> I have not been able to reproduce this so far, but I have found that
> if the file is large, say 10000 lines, it takes a few seconds.
> 
> The other problem I found is that if I run `python-fix-imports'
> without saving the buffer, I get the following error:
> 
> python exited with status 1
> 
> This occurs because isort cannot read the lock file (symbolic link)
> such as ".#foo.py", which is created before the modified buffer is
> saved.  Although I don't think this has anything to do with the
> non-response issue.

Thanks.  So my request for a reproduction recipe still stands.  Keglo
Stephane, could you please provide such a recipe?